org.apache.kylin.jdbc.json

## Class QueryRequest

- java.lang.Object
- - org.apache.kylin.jdbc.json.QueryRequest

Direct Known Subclasses:
  PreparedQueryRequest

    public class QueryRequest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`QueryRequest()`

### Method Summary

Methods
`Map<String,String>` `getBackdoorToggles()`
`String` `getProject()`
`String` `getSql()`
`boolean` `isAcceptPartial()`
`void` `setAcceptPartial(boolean acceptPartial)`
`void` `setBackdoorToggles(Map<String,String> backdoorToggles)`
`void` `setProject(String project)`
`void` `setSql(String sql)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryRequest

    public QueryRequest()

### Method Detail

#### getSql

    public String getSql()

#### setSql

    public void setSql(String sql)

#### getProject

    public String getProject()

#### setProject

    public void setProject(String project)

#### isAcceptPartial

    public boolean isAcceptPartial()

#### setAcceptPartial

    public void setAcceptPartial(boolean acceptPartial)

#### getBackdoorToggles

    public Map<String,String> getBackdoorToggles()

#### setBackdoorToggles

    public void setBackdoorToggles(Map<String,String> backdoorToggles)